Ticket #1417 (closed bug: fixed)

Opened 4 years ago

Last modified 4 years ago

src/pmc/orderedhash.pmc errors

Reported by: doughera Owned by:
Priority: normal Milestone:
Component: none Version: 2.0.0
Severity: medium Keywords:
Cc: Language:
Patch status: Platform:

Description

At revision r43590, parrot no longer builds, but stops with the error messages:

"./src/pmc/orderedhash.pmc", line 89: warning: syntax error:  empty declaration
"./src/pmc/orderedhash.pmc", line 655: void function cannot return value
"./src/pmc/orderedhash.pmc", line 657: void function cannot return value
"./src/pmc/orderedhash.pmc", line 681: void function cannot return value
"./src/pmc/orderedhash.pmc", line 685: void function cannot return value

Change History

Changed 4 years ago by chromatic

On Monday 25 January 2010 at 15:36, Parrot  wrote:

>  At revision r43590, parrot no longer builds, but stops with the error
>  messages:
>  {{{
>  "./src/pmc/orderedhash.pmc", line 89: warning: syntax error:  empty
>  declaration
>  "./src/pmc/orderedhash.pmc", line 655: void function cannot return value
>  "./src/pmc/orderedhash.pmc", line 657: void function cannot return value
>  "./src/pmc/orderedhash.pmc", line 681: void function cannot return value
>  "./src/pmc/orderedhash.pmc", line 685: void function cannot return value
>  }}}

Thanks.  I don't see the problem with line 89, but I've fixed the other four in 
r43591.

-- c 

Changed 4 years ago by jkeenan

  • summary changed from src/pmc/oderedhash.pmc errors to src/pmc/orderedhash.pmc errors

Changed 4 years ago by doughera

On Mon, 25 Jan 2010, chromatic wrote:

> On Monday 25 January 2010 at 15:36, Parrot  wrote:

> >  {{{
> >  "./src/pmc/orderedhash.pmc", line 89: warning: syntax error:  empty
> >  declaration
> >  }}}
> 
> Thanks.  I don't see the problem with line 89, but I've fixed the other four in 
> r43591.

Thanks.  It's just a trailing semicolon.  I wasn't sure if I'd have a 
chance to fix it tonight, so I thought I'd just report it.  Here's the 
trailing semicolon fix (which undoubtedly won't survive email2trac, but 
it's the best I can do at the moment).

diff -r -u parrot-orig/src/pmc/orderedhash.pmc parrot-andy/src/pmc/orderedhash.pmc
--- parrot-orig/src/pmc/orderedhash.pmc	2010-01-25 19:35:12.000000000 -0500
+++ parrot-andy/src/pmc/orderedhash.pmc	2010-01-25 19:37:18.366527672 -0500
@@ -86,7 +86,7 @@
     VTABLE_set_pmc_keyed_int(interp, ret, ORDERED_HASH_ITEM_KEY, key);
     VTABLE_set_pmc_keyed_int(interp, ret, ORDERED_HASH_ITEM_VALUE, value);
     return ret;
-};
+}
 
 /* Get list_item by index */
 static PMC*


-- 
    Andy Dougherty		doughera@lafayette.edu

Changed 4 years ago by chromatic

On Monday 25 January 2010 at 16:41, Andy Dougherty wrote:

> Thanks.  It's just a trailing semicolon.  I wasn't sure if I'd have a 
> chance to fix it tonight, so I thought I'd just report it.  Here's the 
> trailing semicolon fix (which undoubtedly won't survive email2trac, but 
> it's the best I can do at the moment).

Thanks, applied as r43592. 

I'd offer you a nickel to get a smarter compiler, but it did catch those other 
problems....

-- c

Changed 4 years ago by bacek

  • status changed from new to closed
  • resolution set to fixed

Looks like it's fixed now.

Note: See TracTickets for help on using tickets.